#ifndef DATABASE_H
#define DATABASE_H  1


/* ========================================================================== */
/* Include files */

#include "core.h"


/*! \addtogroup DATABASE */
/* @{ */


/* @} */


/* ========================================================================== */
/* Function prototypes */

extern int  db_init(void);
extern int  db_exit(void);
extern int  db_clear(void);
extern int  db_update_groups(size_t, const char**);
extern int  db_add(const char*, core_anum_t, const char*, size_t);
extern int  db_read(const char*, core_anum_t, char**, size_t*);
extern int  db_delete(const char*, core_anum_t, core_anum_t);


#endif  /* DATABASE_H */

/* EOF */
